Commit 9e0b3ec9 authored by David E. DeMarle's avatar David E. DeMarle

deprecate microsoft visual studio 2013

parent 95502905
......@@ -17,9 +17,14 @@ if (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" AND
endif ()
# Minimum compiler version check: Microsoft C/C++ >= 18.0 (aka VS 2013 aka VS 12.0)
if (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC" AND
CMAKE_CXX_COMPILER_VERSION VERSION_LESS 18.0)
message(FATAL_ERROR "Microsoft Visual Studio 2013 or later is required.")
if (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 18.0)
message(FATAL_ERROR "Microsoft Visual Studio 2015 or later is required.")
else()
if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19.0)
message(DEPRECATION "Microsoft Visual Studio 2013 is deprecated in VTK 8.2.0.")
endif()
endif()
endif ()
# Minimum compiler version check: Intel C++ (ICC) >= 14
......
......@@ -63,7 +63,7 @@ Requirements
In general VTK tries to be as portable as possible; the specific configurations below are known to work and tested.
VTK supports the following C++11 compilers:
1. Microsoft Visual Studio 2013 or newer
1. Microsoft Visual Studio 2015 or newer
2. gcc 4.8.3 or newer
3. Clang 3.3 or newer
4. Apple Clang 5.0 (from Xcode 5.0) or newer
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment